GNU Trove

## gnu.trove
Interface TObjectHashingStrategy<T>

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  THashMap, THashSet, TObjectByteHashMap, TObjectDoubleHashMap, TObjectFloatHashMap, TObjectHash, TObjectIdentityHashingStrategy, TObjectIntHashMap, TObjectLongHashMap, TObjectShortHashMap

    public interface TObjectHashingStrategy<T>

extends java.io.Serializable

Interface to support pluggable hashing strategies in maps and sets. Implementors can use this interface to make the trove hashing algorithms use object values, values provided by the java runtime, or a custom strategy when computing hashcodes. Created: Sat Aug 17 10:52:32 2002

Version:
  $Id: TObjectHashingStrategy.java,v 1.3 2007/06/11 15:26:44 robeden Exp $
Author:
  Eric Friedman

Method Summary
`int` `computeHashCode(T object)` Computes a hash code for the specified object.
`boolean` `equals(T o1, T o2)` Compares o1 and o2 for equality.

Method Detail

### computeHashCode

    int computeHashCode(T object)

  Computes a hash code for the specified object. Implementors can use the object's own `hashCode` method, the Java runtime's `identityHashCode`, or a custom scheme.

  Parameters:
    `object` - for which the hashcode is to be computed
  Returns:
    the hashCode

### equals

    boolean equals(T o1,
                   T o2)

  Compares o1 and o2 for equality. Strategy implementors may use the objects' own equals() methods, compare object references, or implement some custom scheme.

  Parameters:
    `o1` - an `Object` value
    `o2` - an `Object` value
  Returns:
    true if the objects are equal according to this strategy.

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.